<ng-template #modalContent>
  <sm-dialog [hasHeader]=true>
    <sm-ski-map-dialog dialog-body></sm-ski-map-dialog>
  </sm-dialog>
</ng-template>

<div class="container-fluid">
  <div class="row resort-detail p-1 p-sm-2 p-xl-3">
    <div class="col-lg-12 col-xl-4">
      <div class="row">
        <div class="col-sm-12 col-lg-6 col-xl-12 p-1 p-sm-2 p-xl-3">
          <sm-weather-card [resort]="resort$ | async" [weather]="currentWeather">
          </sm-weather-card>
        </div>
        <div class="col-sm-12 col-lg-6 col-xl-12 p-1 p-sm-2 p-xl-3">
          <div class="card sm-background-light-trsp">
            <div class="card-body">

              <div> {{(resort$ | async)?.name}}</div>
              <div class="pt-1">{{'resort.details.skiRunTotalLength' | translate}}
                {{(resort$ | async)?.skiRunTotalLength}}</div>

              <div class="dropdown-divider"></div>
              <button type="button"
                      class="btn btn-primary"
                      (click)="openSkiMapDialog()">
                {{'resort.details.openMap' | translate}}
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-lg-12 col-xl-8 p-1 p-sm-2 p-xl-3">
      <sm-forecast-card [resortId]="resortId" [forecastService]="forecastService"></sm-forecast-card>
    </div>
  </div>
</div>